%define oname plasma-workspace

Summary:	Plasma 5 Workspace module
Name:		plasma5-workspace
Version:	5.11.5
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Source1:	kde.pam
Source10:	plasma5-workspace.rpmlintrc
Patch0:		plasma-workspace-5.9.4-startkde.patch
Patch1:		plasma-workspace-5.9.4-startplasmacompositor.patch
Patch2:		plasma-workspace-5.2.2-klipper-hide.patch
# Don't add trash to the default user's desktop contents
Patch3:		plasma-workspace-5.9.0-no-trash-on-desktop.patch
Patch4:		plasma-workspace-5.6.3-use-mdv-icon.patch
# From Plasma 5.12.0
Patch10:	plasma-workspace-5.11.5-CVE-2018-6790.patch
Patch11:	plasma-workspace-5.11.5-CVE-2018-6791.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	plasma-framework
BuildRequires:	kf5activities-devel
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5holidays-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5jsembed-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5networkmanagerqt-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5plasma-devel
# Same as kf5plasma-devel for now
# BuildRequires:	kf5plasmaquick-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5su-devel
BuildRequires:	kf5sysguard-devel >= %{version}
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5webkit-devel
BuildRequires:	kf5xmlrpcclient-devel
BuildRequires:	kscreenlocker-devel >= %{version}
BuildRequires:	pam-devel
BuildRequires:	plasma5-kwin-devel >= %{version}
BuildRequires:	pkgconfig(dbusmenu-qt5)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(kscreen2) >= %{version}
BuildRequires:	pkgconfig(libqalculate)
BuildRequires:	pkgconfig(libgps)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(zlib)
# Internal required packages (require them all for now)
Requires:	plasma5-applet-activitybar
Requires:	plasma5-applet-analogclock
Requires:	plasma5-applet-appmenu
Requires:	plasma5-applet-battery
Requires:	plasma5-applet-calendar
Requires:	plasma5-applet-clipboard
Requires:	plasma5-applet-devicenotifier
Requires:	plasma5-applet-digitalclock
Requires:	plasma5-applet-icon
Requires:	plasma5-applet-lock_logout
# Doesn't look good when there's already player's icon in system tray
# Requires:	plasma5-applet-mediacontroller
Requires:	plasma5-applet-notifications
Requires:	plasma5-applet-panelspacer
Requires:	plasma5-applet-systemmonitor
Requires:	plasma5-applet-systemtray
# Looks bad as for Plasma 5.8
# Requires:	plasma5-calendar-holidays
Requires:	plasma5-dataengine-activities
Requires:	plasma5-dataengine-applicationjobs
Requires:	plasma5-dataengine-apps
Requires:	plasma5-dataengine-clipboard
Requires:	plasma5-dataengine-devicenotifications
Requires:	plasma5-dataengine-dict
Requires:	plasma5-dataengine-executable
Requires:	plasma5-dataengine-favicons
Requires:	plasma5-dataengine-filebrowser
Requires:	plasma5-dataengine-geolocation
Requires:	plasma5-dataengine-hotplug
Requires:	plasma5-dataengine-keystate
Requires:	plasma5-dataengine-mouse
Requires:	plasma5-dataengine-mpris2
Requires:	plasma5-dataengine-notifications
Requires:	plasma5-dataengine-packagekit
Requires:	plasma5-dataengine-places
Requires:	plasma5-dataengine-powermanagement
Requires:	plasma5-dataengine-share
Requires:	plasma5-dataengine-soliddevice
Requires:	plasma5-dataengine-statusnotifieritem
Requires:	plasma5-dataengine-systemmonitor
Requires:	plasma5-dataengine-time
Requires:	plasma5-dataengine-weather
Requires:	plasma5-klipper
Requires:	plasma5-ksmserver-theme-contour
Requires:	plasma5-ksmserver-theme-default
Requires:	plasma5-ksplash-theme-classic
Requires:	plasma5-ksplash-theme-minimalistic
Requires:	plasma5-ksplash-theme-none
Requires:	plasma5-look-and-feel-breeze
Requires:	plasma5-runner-activities
Requires:	plasma5-runner-baloosearch
Requires:	plasma5-runner-bookmarks
Requires:	plasma5-runner-calculator
Requires:	plasma5-runner-kill
Requires:	plasma5-runner-locations
Requires:	plasma5-runner-places
Requires:	plasma5-runner-powerdevil
Requires:	plasma5-runner-recentdocuments
Requires:	plasma5-runner-services
Requires:	plasma5-runner-sessions
Requires:	plasma5-runner-shell
Requires:	plasma5-runner-webshortcuts
Requires:	plasma5-runner-windowedwidgets
Requires:	plasma5-runner-windows
Requires:	plasma5-wallpaper-color
Requires:	plasma5-wallpaper-image
Requires:	plasma5-wallpaper-slideshow
# External KF5 and Plasma 5 required packages
Requires:	kactivitymanagerd
Requires:	kde-cli-tools
Requires:	kded
Requires:	kimageformats
Requires:	kinit
Requires:	kscreenlocker
Requires:	kwallet-kf5
Requires:	plasma-framework
Requires:	plasma5-baloo
# Useless without desktop but cannot require it as desktop builds after workspace
Suggests:	plasma5-desktop
Requires:	plasma5-ksysguard
Requires:	plasma5-kwin
Requires:	plasma5-systemsettings
Requires:	polkit-kde-agent-1-kf5
# Used by kstyle themes
Requires:	qt5-style-cleanlooks
Requires:	qt5-style-motif
Requires:	qt5-style-plastique
# Other external requires
Requires:	qt5-tools
Conflicts:	kdebase4-workspace
# Because of pam file
Conflicts:	kdm
Obsoletes:	plasma5-dataengine-tasks < 5.8

%description
Plasma 5 Workspace module.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.plasmashell.desktop
%{_kde5_applicationsdir}/plasma-windowed.desktop
%{_kde5_autostart}/krunner.desktop
%{_kde5_autostart}/org.kde.plasmashell.desktop
%{_kde5_autostart}/xembedsniproxy.desktop
%{_kde5_bindir}/kcheckrunning
%{_kde5_bindir}/kcminit
%{_kde5_bindir}/kcminit_startup
%{_kde5_bindir}/kdostartupconfig5
%{_kde5_bindir}/krunner
%{_kde5_bindir}/ksmserver
%{_kde5_bindir}/ksplashqml
%{_kde5_bindir}/kstartupconfig5
%{_kde5_bindir}/kuiserver5
%{_kde5_bindir}/plasma_waitforname
%{_kde5_bindir}/plasmashell
%{_kde5_bindir}/plasmawindowed
%{_kde5_bindir}/startkde
%{_kde5_bindir}/startplasmacompositor
%{_kde5_bindir}/systemmonitor
%{_kde5_bindir}/xembedsniproxy
%{_kde5_datadir}/config.kcfg/freespacenotifier.kcfg
%{_kde5_datadir}/desktop-directories/kf5-*.directory
%{_kde5_datadir}/kconf_update/krunnerplugins.upd
# These kstyle themes require external qt5-style plugins
%{_kde5_datadir}/kstyle/themes/*.themerc
%{_kde5_datadir}/plasma/services/*.operations
%{_kde5_datadir}/solid/actions/test-predicate-openinwindow.desktop
%{_kde5_libdir}/libkdeinit5_kcminit.so
%{_kde5_libdir}/libkdeinit5_kcminit_startup.so
%{_kde5_libdir}/libkdeinit5_ksmserver.so
%{_kde5_libdir}/libkdeinit5_kuiserver5.so
%{_kde5_libdir}/kconf_update_bin/krunnerplugins
%{_kde5_libexecdir}/ksmserver-logout-greeter
%{_kde5_libexecdir}/ksmserver-switchuser-greeter
%{_kde5_libexecdir}/ksyncdbusenv
%{_kde5_libexecdir}/startplasma
%{_kde5_notificationsdir}/freespacenotifier.notifyrc
%{_kde5_notificationsdir}/phonon.notifyrc
%{_kde5_plugindir}/kded/appmenu.so
%{_kde5_plugindir}/kded/freespacenotifier.so
%{_kde5_plugindir}/kded/ksysguard.so
%{_kde5_plugindir}/kded/ktimezoned.so
%{_kde5_plugindir}/kded/solidautoeject.so
%{_kde5_plugindir}/kded/soliduiserver.so
%{_kde5_plugindir}/kded/statusnotifierwatcher.so
%dir %{_kde5_qmldir}/org/kde/plasma/private/shell/
%{_kde5_qmldir}/org/kde/plasma/private/shell/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/sessions/
%{_kde5_qmldir}/org/kde/plasma/private/sessions/*
%{_kde5_services}/kuiserver.desktop
%{_kde5_services}/plasma-containmentactions-*.desktop
%{_kde5_servicetypes}/phononbackend.desktop
%{_kde5_servicetypes}/plasma-geolocationprovider.desktop
%{_kde5_servicetypes}/plasma-layouttemplate.desktop
%{_kde5_servicetypes}/plasma_shareprovider.desktop
%{_kde5_sysconfdir}/xdg/kuiserver.categories
%{_kde5_sysconfdir}/xdg/plasmoids.knsrc
%{_kde5_sysconfdir}/xdg/taskmanagerrulesrc
%{_kde5_sysconfdir}/xdg/wallpaper.knsrc
%{_datadir}/dbus-1/services/kf5_org.kde.kuiserver.service
%{_datadir}/dbus-1/services/org.kde.krunner.service
%{_datadir}/dbus-1/services/org.kde.plasma.Notifications.service
%{_datadir}/xsessions/plasma.desktop
%{_qt5_plugindir}/phonon_platform/kde.so
%{_qt5_plugindir}/plasma_containmentactions_*.so
%{_qt5_plugindir}/kpackage/packagestructure/*.so
%{_qt5_plugindir}/plasma/packagestructure/*.so
%{_sysconfdir}/pam.d/kde

#----------------------------------------------------------------------------

%package -n plasma5-applet-activitybar
Summary:	Plasma 5 activity bar plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-activitybar
Plasma 5 activity bar plasmoid.

%files -n plasma5-applet-activitybar
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.activitybar/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.activitybar/*
%{_kde5_services}/plasma-applet-org.kde.plasma.activitybar.desktop
%{_appdatadir}/org.kde.plasma.activitybar.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-analogclock
Summary:	Plasma 5 analog clock plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-analogclock
Plasma 5 analog clock plasmoid.

%files -n plasma5-applet-analogclock -f plasma_applet_org.kde.plasma.analogclock.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.analogclock/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.analogclock/*
%{_kde5_services}/plasma-applet-org.kde.plasma.analogclock.desktop
%{_appdatadir}/org.kde.plasma.analogclock.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-appmenu
Summary:	Plasma 5 appmenu plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-appmenu
Plasma 5 appmenu plasmoid.

%files -n plasma5-applet-appmenu -f plasma_applet_org.kde.plasma.appmenu.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.appmenu/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.appmenu/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/appmenu/
%{_kde5_qmldir}/org/kde/plasma/private/appmenu/*
%{_kde5_services}/plasma-applet-org.kde.plasma.appmenu.desktop
%{_qt5_plugindir}/plasma/applets/plasma_applet_appmenu.so
%{_appdatadir}/org.kde.plasma.appmenu.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-battery
Summary:	Plasma 5 battery plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-battery
Plasma 5 battery plasmoid.

%files -n plasma5-applet-battery -f plasma_applet_org.kde.plasma.battery.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.battery/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.battery/*
%{_kde5_services}/plasma-applet-org.kde.plasma.battery.desktop
%{_appdatadir}/org.kde.plasma.battery.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-calendar
Summary:	Plasma 5 calendar plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-calendar
Plasma 5 calendar plasmoid.

%files -n plasma5-applet-calendar -f plasma_applet_org.kde.plasma.calendar.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.calendar/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.calendar/*
%{_kde5_services}/plasma-applet-org.kde.plasma.calendar.desktop
%{_qt5_plugindir}/plasma/applets/plasma_applet_calendar.so
%{_appdatadir}/org.kde.plasma.calendar.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-clipboard
Summary:	Plasma 5 clipboard plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-clipboard
Plasma 5 clipboard plasmoid.

%files -n plasma5-applet-clipboard -f plasma_applet_org.kde.plasma.clipboard.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.clipboard/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.clipboard/*
%{_kde5_services}/plasma-applet-org.kde.plasma.clipboard.desktop
%{_appdatadir}/org.kde.plasma.clipboard.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-devicenotifier
Summary:	Plasma 5 device notifier plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-devicenotifier
Plasma 5 device notifier plasmoid.

%files -n plasma5-applet-devicenotifier -f plasma_applet_org.kde.plasma.devicenotifier.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.devicenotifier/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.devicenotifier/*
%{_kde5_services}/plasma-applet-org.kde.plasma.devicenotifier.desktop
%{_appdatadir}/org.kde.plasma.devicenotifier.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-digitalclock
Summary:	Plasma 5 digital clock plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-digitalclock
Plasma 5 digital clock plasmoid.

%files -n plasma5-applet-digitalclock -f plasma_applet_org.kde.plasma.digitalclock.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.digitalclock/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.digitalclock/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/digitalclock/
%{_kde5_qmldir}/org/kde/plasma/private/digitalclock/*
%{_kde5_services}/plasma-applet-org.kde.plasma.digitalclock.desktop
%{_appdatadir}/org.kde.plasma.digitalclock.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-icon
Summary:	Plasma 5 icon plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-icon
Plasma 5 icon plasmoid.

%files -n plasma5-applet-icon -f plasma_applet_org.kde.plasma.icon.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.icon/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.icon/*
%{_kde5_services}/plasma-applet-org.kde.plasma.icon.desktop
%{_qt5_plugindir}/plasma/applets/plasma_applet_icon.so
#{_appdatadir}/org.kde.plasma.icon.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-lock_logout
Summary:	Plasma 5 lock and logout plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-lock_logout
Plasma 5 lock and logout plasmoid.

%files -n plasma5-applet-lock_logout -f plasma_applet_org.kde.plasma.lock_logout.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.lock_logout/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.lock_logout/*
%{_kde5_services}/plasma-applet-org.kde.plasma.lock_logout.desktop
%{_appdatadir}/org.kde.plasma.lock_logout.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-mediacontroller
Summary:	Plasma 5 media controller plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-mpris2

%description -n plasma5-applet-mediacontroller
Plasma 5 media controller plasmoid.

%files -n plasma5-applet-mediacontroller -f plasma_applet_org.kde.plasma.mediacontroller.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.mediacontroller/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.mediacontroller/*
%{_kde5_services}/plasma-applet-org.kde.plasma.mediacontroller.desktop
%{_appdatadir}/org.kde.plasma.mediacontroller.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-notifications
Summary:	Plasma 5 notifications plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-notifications
Plasma 5 notifications plasmoid.

%files -n plasma5-applet-notifications -f plasma_applet_org.kde.plasma.notifications.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.notifications/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.notifications/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/notifications/
%{_kde5_qmldir}/org/kde/plasma/private/notifications/*
%{_kde5_services}/plasma-applet-org.kde.plasma.notifications.desktop
%{_qt5_plugindir}/plasma/applets/plasma_applet_notifications.so
%{_appdatadir}/org.kde.plasma.notifications.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-panelspacer
Summary:	Plasma 5 panel spacer plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-panelspacer
Plasma 5 panel spacer plasmoid.

%files -n plasma5-applet-panelspacer -f plasma_applet_org.kde.plasma.panelspacer.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.panelspacer/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.panelspacer/*
%{_kde5_services}/plasma-applet-org.kde.plasma.panelspacer.desktop
#{_appdatadir}/org.kde.plasma.panelspacer.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-systemmonitor
Summary:	Plasma 5 system monitor plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-systemmonitor
Plasma 5 system monitor plasmoid.

%files -n plasma5-applet-systemmonitor -f plasma_applet_org.kde.plasma.systemmonitor.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.cpu/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.cpu/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemmonitor.cpu.desktop
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.diskactivity/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.diskactivity/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemmonitor.diskactivity.desktop
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.diskusage/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.diskusage/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemmonitor.diskusage.desktop
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.memory/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.memory/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemmonitor.memory.desktop
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.net/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemmonitor.net/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemmonitor.net.desktop
%{_appdatadir}/org.kde.plasma.systemmonitor.cpu.appdata.xml
%{_appdatadir}/org.kde.plasma.systemmonitor.diskactivity.appdata.xml
%{_appdatadir}/org.kde.plasma.systemmonitor.diskusage.appdata.xml
%{_appdatadir}/org.kde.plasma.systemmonitor.memory.appdata.xml
%{_appdatadir}/org.kde.plasma.systemmonitor.net.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-systemtray
Summary:	Plasma 5 systemtray plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-systemtray
Plasma 5 systemtray plasmoid.

%files -n plasma5-applet-systemtray -f plasma_applet_org.kde.plasma.private.systemtray.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemtray/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.systemtray/*
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.private.systemtray/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.private.systemtray/*
%{_kde5_services}/plasma-applet-org.kde.plasma.systemtray.desktop
%{_kde5_services}/plasma-applet-org.kde.plasma.private.systemtray.desktop
%{_qt5_plugindir}/plasma/applets/org.kde.plasma.systemtray.so
%{_qt5_plugindir}/plasma/applets/org.kde.plasma.private.systemtray.so
#{_appdatadir}/org.kde.plasma.private.systemtray.appdata.xml
%{_appdatadir}/org.kde.plasma.systemtray.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-calendar-holidays
Summary:	Plasma 5 holidays calendar plugin
Group:		Graphical desktop/KDE

%description -n plasma5-calendar-holidays
Plasma 5 holidays calendar plugin.

%files -n plasma5-calendar-holidays -f kholidays_calendar_plugin.lang
%dir %{_kde5_qmldir}/org/kde/holidayeventshelperplugin/
%{_kde5_qmldir}/org/kde/holidayeventshelperplugin/*
%{_qt5_plugindir}/plasmacalendarplugins/holidays/HolidaysConfig.qml
%{_qt5_plugindir}/plasmacalendarplugins/holidaysevents.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-activities
Summary:	Plasma 5 activities dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-activities
Plasma 5 activities dataengine.

%files -n plasma5-dataengine-activities
%{_kde5_services}/plasma-dataengine-activities.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_activities.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-applicationjobs
Summary:	Plasma 5 application jobs dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-applicationjobs
Plasma 5 application jobs dataengine.

%files -n plasma5-dataengine-applicationjobs -f plasma_engine_applicationjobs.lang
%{_kde5_services}/plasma-dataengine-applicationjobs.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_applicationjobs.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-apps
Summary:	Plasma 5 apps dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-apps
Plasma 5 apps dataengine.

%files -n plasma5-dataengine-apps
%{_kde5_services}/plasma-dataengine-apps.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_apps.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-clipboard
Summary:	Plasma 5 clipboard dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-clipboard
Plasma 5 clipboard dataengine.

%files -n plasma5-dataengine-clipboard
%{_kde5_services}/plasma-dataengine-clipboard.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_clipboard.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-devicenotifications
Summary:	Plasma 5 device notifications dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-devicenotifications
Plasma 5 device notifications dataengine.

%files -n plasma5-dataengine-devicenotifications -f plasma_engine_devicenotifications.lang
%{_kde5_services}/plasma-dataengine-devicenotifications.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_devicenotifications.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-dict
Summary:	Plasma 5 dict dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-dict
Plasma 5 dict dataengine.

%files -n plasma5-dataengine-dict -f plasma_engine_dict.lang
%{_kde5_services}/plasma-dataengine-dict.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_dict.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-executable
Summary:	Plasma 5 executable dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-executable
Plasma 5 executable dataengine.

%files -n plasma5-dataengine-executable
%{_kde5_services}/plasma-dataengine-executable.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_executable.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-favicons
Summary:	Plasma 5 favicons dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-favicons
Plasma 5 favicons dataengine.

%files -n plasma5-dataengine-favicons
%{_kde5_services}/plasma-dataengine-favicons.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_favicons.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-filebrowser
Summary:	Plasma 5 filebrowser dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-filebrowser
Plasma 5 filebrowser dataengine.

%files -n plasma5-dataengine-filebrowser
%{_kde5_services}/plasma-dataengine-filebrowser.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_filebrowser.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-geolocation
Summary:	Plasma 5 geolocation dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-geolocation
Plasma 5 geolocation dataengine.

%files -n plasma5-dataengine-geolocation
%{_kde5_services}/plasma-dataengine-geolocation.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_geolocation.so
# Locators
%{_kde5_services}/plasma-geolocation-gps.desktop
%{_qt5_plugindir}/plasma-geolocation-gps.so
%{_kde5_services}/plasma-geolocation-ip.desktop
%{_qt5_plugindir}/plasma-geolocation-ip.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-hotplug
Summary:	Plasma 5 hotplug dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-hotplug
Plasma 5 hotplug dataengine.

%files -n plasma5-dataengine-hotplug
%{_kde5_services}/plasma-dataengine-hotplug.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_hotplug.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-keystate
Summary:	Plasma 5 keystate dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-keystate
Plasma 5 keystate dataengine.

%files -n plasma5-dataengine-keystate -f plasma_engine_keystate.lang
%{_kde5_services}/plasma-dataengine-keystate.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_keystate.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-mouse
Summary:	Plasma 5 mouse dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-mouse
Plasma 5 mouse dataengine.

%files -n plasma5-dataengine-mouse
%{_kde5_services}/plasma-dataengine-mouse.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_mouse.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-mpris2
Summary:	Plasma 5 mpris2 dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-mpris2
Plasma 5 mpris2 dataengine.

%files -n plasma5-dataengine-mpris2 -f plasma_engine_mpris2.lang
%{_kde5_services}/plasma-dataengine-mpris2.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_mpris2.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-notifications
Summary:	Plasma 5 notifications dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-notifications
Plasma 5 notifications dataengine.

%files -n plasma5-dataengine-notifications -f plasma_engine_notifications.lang
%{_kde5_services}/plasma-dataengine-notifications.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_notifications.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-packagekit
Summary:	Plasma 5 packagekit dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-packagekit
Plasma 5 packagekit dataengine.

%files -n plasma5-dataengine-packagekit
%{_kde5_services}/plasma-dataengine-packagekit.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_packagekit.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-places
Summary:	Plasma 5 places dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-places
Plasma 5 places dataengine.

%files -n plasma5-dataengine-places
%{_kde5_services}/plasma-dataengine-places.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_places.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-powermanagement
Summary:	Plasma 5 power management dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-powermanagement
Plasma 5 power management dataengine.

%files -n plasma5-dataengine-powermanagement -f plasma_engine_powermanagement.lang
%{_kde5_services}/plasma-dataengine-powermanagement.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_powermanagement.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-share
Summary:	Plasma 5 share dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-share
Plasma 5 share dataengine.

%files -n plasma5-dataengine-share -f plasma_engine_share.lang
%{_kde5_services}/plasma-dataengine-share.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_share.so
# Share providers
%dir %{_kde5_datadir}/plasma/shareprovider/im9/
%{_kde5_datadir}/plasma/shareprovider/im9/*
%{_kde5_services}/plasma-dataengine-share-addon-im9.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/imgsusepasteorg/
%{_kde5_datadir}/plasma/shareprovider/imgsusepasteorg/*
%{_kde5_services}/plasma-dataengine-share-addon-imgsusepasteorg.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/imgur/
%{_kde5_datadir}/plasma/shareprovider/imgur/*
%{_kde5_services}/plasma-dataengine-share-addon-imgur.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/kde/
%{_kde5_datadir}/plasma/shareprovider/kde/*
%{_kde5_services}/plasma-dataengine-share-addon-kde.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/pastebincom/
%{_kde5_datadir}/plasma/shareprovider/pastebincom/*
%{_kde5_services}/plasma-dataengine-share-addon-pastebincom.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/pasteopensuseorg/
%{_kde5_datadir}/plasma/shareprovider/pasteopensuseorg/*
%{_kde5_services}/plasma-dataengine-share-addon-pasteopensuseorg.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/pasteubuntucom/
%{_kde5_datadir}/plasma/shareprovider/pasteubuntucom/*
%{_kde5_services}/plasma-dataengine-share-addon-pasteubuntucom.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/privatepastecom/
%{_kde5_datadir}/plasma/shareprovider/privatepastecom/*
%{_kde5_services}/plasma-dataengine-share-addon-privatepastecom.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/simplestimagehosting/
%{_kde5_datadir}/plasma/shareprovider/simplestimagehosting/*
%{_kde5_services}/plasma-dataengine-share-addon-simplestimagehosting.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/wklej/
%{_kde5_datadir}/plasma/shareprovider/wklej/*
%{_kde5_services}/plasma-dataengine-share-addon-wklej.desktop
%dir %{_kde5_datadir}/plasma/shareprovider/wstaw/
%{_kde5_datadir}/plasma/shareprovider/wstaw/*
%{_kde5_services}/plasma-dataengine-share-addon-wstaw.desktop

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-soliddevice
Summary:	Plasma 5 solid device dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-soliddevice
Plasma 5 solid device dataengine.

%files -n plasma5-dataengine-soliddevice -f plasma_engine_soliddevice.lang
%{_kde5_services}/plasma-dataengine-soliddevice.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_soliddevice.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-statusnotifieritem
Summary:	Plasma 5 status notifier item dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-statusnotifieritem
Plasma 5 status notifier item dataengine.

%files -n plasma5-dataengine-statusnotifieritem
%{_kde5_services}/plasma-dataengine-statusnotifieritem.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_statusnotifieritem.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-systemmonitor
Summary:	Plasma 5 system monitor dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-systemmonitor
Plasma 5 system monitor dataengine.

%files -n plasma5-dataengine-systemmonitor
%{_kde5_services}/plasma-dataengine-systemmonitor.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_systemmonitor.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-time
Summary:	Plasma 5 time dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-time
Plasma 5 time dataengine.

%files -n plasma5-dataengine-time -f plasma_engine_time.lang
%{_kde5_services}/plasma-dataengine-time.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_time.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-weather
Summary:	Plasma 5 weather dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-weather
Plasma 5 weather dataengine.

%files -n plasma5-dataengine-weather -f plasma_engine_weather.lang
%{_kde5_services}/ion-bbcukmet.desktop
%{_kde5_services}/ion-envcan.desktop
%{_kde5_services}/ion-noaa.desktop
%{_kde5_services}/ion-wettercom.desktop
%{_kde5_services}/plasma-dataengine-weather.desktop
%{_qt5_plugindir}/plasma/dataengine/ion_bbcukmet.so
%{_qt5_plugindir}/plasma/dataengine/ion_envcan.so
%{_qt5_plugindir}/plasma/dataengine/ion_noaa.so
%{_qt5_plugindir}/plasma/dataengine/ion_wettercom.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_weather.so

#----------------------------------------------------------------------------

%package -n plasma5-kio-applications
Summary:	Plasma 5 applications kio slave
Group:		Graphical desktop/KDE
Conflicts:	plasma5-workspace < 5.3.1-4

%description -n plasma5-kio-applications
Plasma 5 applications kio slave.

%files -n plasma5-kio-applications -f kio5_applications.lang
%{_kde5_services}/applications.protocol
%{_kde5_services}/programs.protocol
%{_qt5_plugindir}/kio_applications.so

#----------------------------------------------------------------------------

%package -n plasma5-kio-desktop
Summary:	Plasma 5 desktop kio slave
Group:		Graphical desktop/KDE
Conflicts:	plasma5-kio-extras < 15.08.0

%description -n plasma5-kio-desktop
Plasma 5 desktop kio slave.

%files -n plasma5-kio-desktop -f kio_desktop.lang
%{_kde5_datadir}/kio_desktop/
%{_kde5_plugindir}/kded/desktopnotifier.so
%{_kde5_plugindir}/kio/desktop.so
%{_kde5_services}/desktop.protocol

#----------------------------------------------------------------------------

%package -n plasma5-klipper
Summary:	Plasma 5 clipboard manager
Group:		Graphical desktop/KDE
Conflicts:	klipper

%description -n plasma5-klipper
Plasma 5 clipboard manager.

%files -n plasma5-klipper -f klipper.lang
%{_kde5_applicationsdir}/org.kde.klipper.desktop
%{_kde5_autostart}/klipper.desktop
%{_kde5_bindir}/klipper
%{_kde5_libdir}/libkdeinit5_klipper.so

#----------------------------------------------------------------------------

%package -n plasma5-ksmserver-theme-contour
Summary:	Plasma 5 Contour ksmserver theme
Group:		Graphical desktop/KDE

%description -n plasma5-ksmserver-theme-contour
Plasma 5 Contour ksmserver theme.

%files -n plasma5-ksmserver-theme-contour
%dir %{_kde5_datadir}/ksmserver/themes/contour/
%{_kde5_datadir}/ksmserver/themes/contour/*

#----------------------------------------------------------------------------

%package -n plasma5-ksmserver-theme-default
Summary:	Plasma 5 default ksmserver theme
Group:		Graphical desktop/KDE

%description -n plasma5-ksmserver-theme-default
Plasma 5 default ksmserver theme.

%files -n plasma5-ksmserver-theme-default
%dir %{_kde5_datadir}/ksmserver/themes/default/
%{_kde5_datadir}/ksmserver/themes/default/*

#----------------------------------------------------------------------------

%package -n plasma5-ksplash-theme-classic
Summary:	Plasma 5 Classic ksplash theme
Group:		Graphical desktop/KDE

%description -n plasma5-ksplash-theme-classic
Plasma 5 Classic ksplash theme.

%files -n plasma5-ksplash-theme-classic
%dir %{_kde5_datadir}/ksplash/Themes/Classic/
%{_kde5_datadir}/ksplash/Themes/Classic/*

#----------------------------------------------------------------------------

%package -n plasma5-ksplash-theme-minimalistic
Summary:	Plasma 5 Minimalistic ksplash theme
Group:		Graphical desktop/KDE

%description -n plasma5-ksplash-theme-minimalistic
Plasma 5 Minimalistic ksplash theme.

%files -n plasma5-ksplash-theme-minimalistic
%dir %{_kde5_datadir}/ksplash/Themes/Minimalistic/
%{_kde5_datadir}/ksplash/Themes/Minimalistic/*

#----------------------------------------------------------------------------

%package -n plasma5-ksplash-theme-none
Summary:	Plasma 5 None ksplash theme
Group:		Graphical desktop/KDE

%description -n plasma5-ksplash-theme-none
Plasma 5 None ksplash theme.

%files -n plasma5-ksplash-theme-none
%dir %{_kde5_datadir}/ksplash/Themes/None/
%{_kde5_datadir}/ksplash/Themes/None/*

#----------------------------------------------------------------------------

%package -n plasma5-look-and-feel-breeze
Summary:	Breeze look and feel for Plasma 5
Group:		Graphical desktop/KDE
Requires:	breeze-cursor-theme
Requires:	breeze-icon-theme
Requires:	plasma5-color-scheme-breeze
Requires:	plasma5-desktoptheme-breeze
Requires:	plasma5-style-breeze

%description -n plasma5-look-and-feel-breeze
Breeze look and feel for Plasma 5.

%files -n plasma5-look-and-feel-breeze
%dir %{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/
%{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/*
%{_kde5_services}/plasma-lookandfeel-org.kde.breeze.desktop.desktop
%{_appdatadir}/org.kde.breeze.desktop.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-runner-activities
Summary:	Plasma 5 activities runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-activities
Plasma 5 activities runner.

%files -n plasma5-runner-activities -f plasma_runner_activities.lang
%{_kde5_services}/plasma-runner-activityrunner.desktop
%{_qt5_plugindir}/krunner_activities.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-baloosearch
Summary:	Plasma 5 baloo search runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-baloosearch
Plasma 5 baloo search runner.

%files -n plasma5-runner-baloosearch -f plasma_runner_baloosearch5.lang
%{_kde5_libexecdir}/baloorunner
%{_kde5_services}/plasma-runner-baloosearch.desktop
%{_datadir}/dbus-1/services/org.kde.baloorunner.service

#----------------------------------------------------------------------------

%package -n plasma5-runner-bookmarks
Summary:	Plasma 5 bookmarks runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-bookmarks
Plasma 5 bookmarks runner.

%files -n plasma5-runner-bookmarks -f plasma_runner_bookmarksrunner.lang
%{_kde5_services}/plasma-runner-bookmarks.desktop
%{_qt5_plugindir}/krunner_bookmarksrunner.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-calculator
Summary:	Plasma 5 calculator runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-calculator
Plasma 5 calculator runner.

%files -n plasma5-runner-calculator -f plasma_runner_calculatorrunner.lang
%{_kde5_services}/plasma-runner-calculator.desktop
%{_qt5_plugindir}/krunner_calculatorrunner.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-kill
Summary:	Plasma 5 kill runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-kill
Plasma 5 kill runner.

%files -n plasma5-runner-kill -f plasma_runner_kill.lang
%{_kde5_services}/plasma-runner-kill.desktop
%{_kde5_services}/plasma-runner-kill_config.desktop
%{_qt5_plugindir}/kcm_krunner_kill.so
%{_qt5_plugindir}/krunner_kill.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-locations
Summary:	Plasma 5 locations runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-locations
Plasma 5 locations runner.

%files -n plasma5-runner-locations -f plasma_runner_locations.lang
%{_kde5_services}/plasma-runner-locations.desktop
%{_qt5_plugindir}/krunner_locations.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-places
Summary:	Plasma 5 places runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-places
Plasma 5 places runner.

%files -n plasma5-runner-places -f plasma_runner_placesrunner.lang
%{_kde5_services}/plasma-runner-places.desktop
%{_qt5_plugindir}/krunner_placesrunner.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-powerdevil
Summary:	Plasma 5 powerdevil runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-powerdevil
Plasma 5 powerdevil runner.

%files -n plasma5-runner-powerdevil -f plasma_runner_powerdevil.lang
%{_kde5_services}/plasma-runner-powerdevil.desktop
%{_qt5_plugindir}/krunner_powerdevil.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-recentdocuments
Summary:	Plasma 5 recent documents runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-recentdocuments
Plasma 5 recent documents runner.

%files -n plasma5-runner-recentdocuments -f plasma_runner_recentdocuments.lang
%{_kde5_services}/recentdocuments.desktop
%{_qt5_plugindir}/krunner_recentdocuments.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-services
Summary:	Plasma 5 services runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-services
Plasma 5 services runner.

%files -n plasma5-runner-services -f plasma_runner_services.lang
%{_kde5_services}/plasma-runner-services.desktop
%{_qt5_plugindir}/krunner_services.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-sessions
Summary:	Plasma 5 sessions runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-sessions
Plasma 5 sessions runner.

%files -n plasma5-runner-sessions -f plasma_runner_sessions.lang
%{_kde5_services}/plasma-runner-sessions.desktop
%{_qt5_plugindir}/krunner_sessions.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-shell
Summary:	Plasma 5 shell runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-shell
Plasma 5 shell runner.

%files -n plasma5-runner-shell -f plasma_runner_shell.lang
%{_kde5_services}/plasma-runner-shell.desktop
%{_qt5_plugindir}/krunner_shell.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-webshortcuts
Summary:	Plasma 5 web shortcuts runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-webshortcuts
Plasma 5 web shortcuts runner.

%files -n plasma5-runner-webshortcuts -f plasma_runner_webshortcuts.lang
%{_kde5_services}/plasma-runner-webshortcuts.desktop
%{_qt5_plugindir}/krunner_webshortcuts.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-windowedwidgets
Summary:	Plasma 5 windowed widgets runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-windowedwidgets
Plasma 5 windowed widgets runner.

%files -n plasma5-runner-windowedwidgets -f plasma_runner_windowedwidgets.lang
%{_kde5_services}/plasma-runner-windowedwidgets.desktop
%{_qt5_plugindir}/krunner_windowedwidgets.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-windows
Summary:	Plasma 5 windows runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-windows
Plasma 5 windows runner.

%files -n plasma5-runner-windows -f plasma_runner_windows.lang
%{_kde5_services}/plasma-runner-windows.desktop
%{_qt5_plugindir}/krunner_windows.so

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-color
Summary:	Plasma 5 color wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-color
Plasma 5 color wallpaper.

%files -n plasma5-wallpaper-color -f plasma_applet_org.kde.color.lang
%dir %{_kde5_datadir}/plasma/wallpapers/org.kde.color/
%{_kde5_datadir}/plasma/wallpapers/org.kde.color/*
%{_kde5_services}/plasma-wallpaper-org.kde.color.desktop
%{_appdatadir}/org.kde.color.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-image
Summary:	Plasma 5 image wallpaper
Group:		Graphical desktop/KDE

%description -n plasma5-wallpaper-image
Plasma 5 image wallpaper.

%files -n plasma5-wallpaper-image -f plasma_applet_org.kde.image.lang
%dir %{_kde5_datadir}/plasma/wallpapers/org.kde.image/
%{_kde5_datadir}/plasma/wallpapers/org.kde.image/*
%dir %{_kde5_qmldir}/org/kde/plasma/wallpapers/image/
%{_kde5_qmldir}/org/kde/plasma/wallpapers/image/*
%{_kde5_services}/plasma-wallpaper-org.kde.image.desktop
%{_appdatadir}/org.kde.image.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-slideshow
Summary:	Plasma 5 slideshow wallpaper
Group:		Graphical desktop/KDE
Requires:	plasma5-wallpaper-image

%description -n plasma5-wallpaper-slideshow
Plasma 5 slideshow wallpaper.

%files -n plasma5-wallpaper-slideshow
%dir %{_kde5_datadir}/plasma/wallpapers/org.kde.slideshow/
%{_kde5_datadir}/plasma/wallpapers/org.kde.slideshow/*
%{_kde5_services}/plasma-wallpaper-org.kde.slideshow.desktop
%{_appdatadir}/org.kde.slideshow.appdata.xml

#----------------------------------------------------------------------------

%package -n sddm-theme-breeze
Summary:	Breeze theme for SDDM
Group:		Graphical desktop/KDE
Requires:	kf5plasma-qml
Requires:	plasma-workspace-qml
BuildArch:	noarch

%description -n sddm-theme-breeze
Breeze theme for SDDM.

%files -n sddm-theme-breeze
%dir %{_datadir}/sddm/themes/breeze/
%{_datadir}/sddm/themes/breeze/*

#----------------------------------------------------------------------------

%define qmlplasma_workspace %mklibname plasma-workspace-qml

%package -n %{qmlplasma_workspace}
Summary:	QML plugins for Plasma 5 Workspace
Group:		System/Libraries
Provides:	plasma-workspace-qml = %{EVRD}

%description -n %{qmlplasma_workspace}
QML plugins for Plasma 5 Workspace.

%files -n %{qmlplasma_workspace}
%dir %{_kde5_qmldir}/org/kde/plasma/workspace/
%{_kde5_qmldir}/org/kde/plasma/workspace/*
%dir %{_kde5_qmldir}/org/kde/taskmanager/
%{_kde5_qmldir}/org/kde/taskmanager/*

#----------------------------------------------------------------------------

%define kworkspace5_major 5
%define libkworkspace5 %mklibname kworkspace5_ %{kworkspace5_major}

%package -n %{libkworkspace5}
Summary:	Plasma 5 Workspace shared library
Group:		System/Libraries
Requires:	%{qmlplasma_workspace}

%description -n %{libkworkspace5}
Plasma 5 Workspace shared library.

%files -n %{libkworkspace5}
%{_kde5_libdir}/libkworkspace5.so.%{kworkspace5_major}*

#----------------------------------------------------------------------------

%define plasma_geolocation_interface_major 5
%define libplasma_geolocation_interface %mklibname plasma-geolocation-interface %{plasma_geolocation_interface_major}

%package -n %{libplasma_geolocation_interface}
Summary:	Plasma 5 Workspace shared library
Group:		System/Libraries

%description -n %{libplasma_geolocation_interface}
Plasma 5 Workspace shared library.

%files -n %{libplasma_geolocation_interface}
%{_kde5_libdir}/libplasma-geolocation-interface.so.%{plasma_geolocation_interface_major}*

#----------------------------------------------------------------------------

%define taskmanager_major 6
%define libtaskmanager %mklibname taskmanager %{taskmanager_major}

%package -n %{libtaskmanager}
Summary:	Plasma 5 Workspace shared library
Group:		System/Libraries

%description -n %{libtaskmanager}
Plasma 5 Workspace shared library.

%files -n %{libtaskmanager}
%{_kde5_libdir}/libtaskmanager.so.%{taskmanager_major}*
%{_kde5_libdir}/libtaskmanager.so.%{version}

#----------------------------------------------------------------------------

%define weather_ion_major 7
%define libweather_ion %mklibname weather_ion %{weather_ion_major}

%package -n %{libweather_ion}
Summary:	Plasma 5 Workspace shared library
Group:		System/Libraries

%description -n %{libweather_ion}
Plasma 5 Workspace shared library.

%files -n %{libweather_ion}
%{_kde5_libdir}/libweather_ion.so.%{weather_ion_major}*

#----------------------------------------------------------------------------

%define devplasma5_workspace %mklibname plasma5-workspace -d

%package -n %{devplasma5_workspace}
Summary:	Development files for Plasma 5 Workspace libraries
Group:		Development/KDE and Qt
Requires:	%{libkworkspace5} = %{EVRD}
Requires:	%{libplasma_geolocation_interface} = %{EVRD}
Requires:	%{libtaskmanager} = %{EVRD}
Requires:	%{libweather_ion} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	kdebase4-workspace-devel

%description -n %{devplasma5_workspace}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devplasma5_workspace}
%{_kde5_datadir}/kdevappwizard/templates/ion-dataengine.*
%{_kde5_includedir}/kworkspace5/
%{_kde5_includedir}/plasma/geolocation/
%{_kde5_includedir}/plasma/weather/
%{_kde5_includedir}/taskmanager/
%{_kde5_libdir}/cmake/KRunnerAppDBusInterface/
%{_kde5_libdir}/cmake/KSMServerDBusInterface/
%{_kde5_libdir}/cmake/LibKWorkspace/
%{_kde5_libdir}/cmake/LibTaskManager/
%{_kde5_libdir}/libkworkspace5.so
%{_kde5_libdir}/libplasma-geolocation-interface.so
%{_kde5_libdir}/libtaskmanager.so
%{_kde5_libdir}/libweather_ion.so
%{_datadir}/dbus-1/interfaces/com.canonical.AppMenu.Registrar.xml
%{_datadir}/dbus-1/interfaces/org.kde.KSMServerInterface.xml
%{_datadir}/dbus-1/interfaces/org.kde.KSplash.xml
%{_datadir}/dbus-1/interfaces/org.kde.PlasmaShell.xml
%{_datadir}/dbus-1/interfaces/org.kde.kappmenu.xml
%{_datadir}/dbus-1/interfaces/org.kde.krunner.App.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%patch10 -p1
%patch11 -p1

# Not ported yet
rm -f po/*/plasma_applet_quicklaunch.po
rm -f po/*/plasma_applet_system-monitor.po
rm -f po/*/plasma_engine_network.po
rm -f po/*/plasma_engine_rss.po
rm -f po/*/plasma_runner_solid.po

%build
# Need to use .kde4 here because it's needed for KDE4 -> Plasma 5 migration, not for Plasma 5 itself
%cmake_kde5_kf5locales -DKDE_DEFAULT_HOME=.kde4
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_datadir}/wayland-sessions/plasmawayland.desktop

install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/kde

%find_lang freespacenotifier kcminit kglobalaccel5 krunner \
           ksmserver kuiserver5 libkworkspace libtaskmanager \
           plasma_containmentactions_applauncher \
           plasma_containmentactions_contextmenu plasma_containmentactions_switchwindow \
           plasma_lookandfeel_org.kde.lookandfeel \
           phonon_kde_plugin plasma_package_plasmashell plasmashell plasmashellprivateplugin PolicyKit-kde \
           screenlocker soliduiserver5 systemmonitor \
           %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang

%find_lang kholidays_calendar_plugin
%kf5locales_fix kholidays_calendar_plugin.lang

%find_lang kio5_applications
%kf5locales_fix kio5_applications.lang

%find_lang kio_desktop
%kf5locales_fix kio_desktop.lang

%find_lang klipper --with-kde --with-html
%kf5locales_fix klipper.lang

%find_lang plasma_applet_org.kde.color
%kf5locales_fix plasma_applet_org.kde.color.lang

%find_lang plasma_applet_org.kde.image
%kf5locales_fix plasma_applet_org.kde.image.lang

%find_lang plasma_applet_org.kde.plasma.analogclock
%kf5locales_fix plasma_applet_org.kde.plasma.analogclock.lang

%find_lang plasma_applet_org.kde.plasma.appmenu
%kf5locales_fix plasma_applet_org.kde.plasma.appmenu.lang

%find_lang plasma_applet_org.kde.plasma.battery
%kf5locales_fix plasma_applet_org.kde.plasma.battery.lang

%find_lang plasma_applet_org.kde.plasma.calendar
%kf5locales_fix plasma_applet_org.kde.plasma.calendar.lang

%find_lang plasma_applet_org.kde.plasma.clipboard
%kf5locales_fix plasma_applet_org.kde.plasma.clipboard.lang

%find_lang plasma_applet_org.kde.plasma.devicenotifier
%kf5locales_fix plasma_applet_org.kde.plasma.devicenotifier.lang

%find_lang plasma_applet_org.kde.plasma.digitalclock
%kf5locales_fix plasma_applet_org.kde.plasma.digitalclock.lang

%find_lang plasma_applet_org.kde.plasma.icon
%kf5locales_fix plasma_applet_org.kde.plasma.icon.lang

%find_lang plasma_applet_org.kde.plasma.lock_logout
%kf5locales_fix plasma_applet_org.kde.plasma.lock_logout.lang

%find_lang plasma_applet_org.kde.plasma.mediacontroller
%kf5locales_fix plasma_applet_org.kde.plasma.mediacontroller.lang

%find_lang plasma_applet_org.kde.plasma.notifications
%kf5locales_fix plasma_applet_org.kde.plasma.notifications.lang

%find_lang plasma_applet_org.kde.plasma.panelspacer
%kf5locales_fix plasma_applet_org.kde.plasma.panelspacer.lang

%find_lang plasma_applet_org.kde.plasma.systemmonitor.cpu \
           plasma_applet_org.kde.plasma.systemmonitor.diskactivity \
           plasma_applet_org.kde.plasma.systemmonitor.diskusage \
           plasma_applet_org.kde.plasma.systemmonitor.memory \
           plasma_applet_org.kde.plasma.systemmonitor.net \
           plasma_applet_org.kde.plasma.systemmonitor.lang
%kf5locales_fix plasma_applet_org.kde.plasma.systemmonitor.lang

%find_lang plasma_applet_org.kde.plasma.private.systemtray
%kf5locales_fix plasma_applet_org.kde.plasma.private.systemtray.lang

%find_lang plasma_engine_applicationjobs
%kf5locales_fix plasma_engine_applicationjobs.lang

%find_lang plasma_engine_devicenotifications
%kf5locales_fix plasma_engine_devicenotifications.lang

%find_lang plasma_engine_dict
%kf5locales_fix plasma_engine_dict.lang

%find_lang plasma_engine_keystate
%kf5locales_fix plasma_engine_keystate.lang

%find_lang plasma_engine_mpris2
%kf5locales_fix plasma_engine_mpris2.lang

%find_lang plasma_engine_notifications
%kf5locales_fix plasma_engine_notifications.lang

%find_lang plasma_engine_powermanagement
%kf5locales_fix plasma_engine_powermanagement.lang

%find_lang plasma_engine_share
%kf5locales_fix plasma_engine_share.lang

%find_lang plasma_engine_soliddevice
%kf5locales_fix plasma_engine_soliddevice.lang

%find_lang plasma_engine_time
%kf5locales_fix plasma_engine_time.lang

%find_lang plasma_engine_weather
%kf5locales_fix plasma_engine_weather.lang

%find_lang plasma_runner_activities
%kf5locales_fix plasma_runner_activities.lang

%find_lang plasma_runner_baloosearch5
%kf5locales_fix plasma_runner_baloosearch5.lang

%find_lang plasma_runner_bookmarksrunner
%kf5locales_fix plasma_runner_bookmarksrunner.lang

%find_lang plasma_runner_calculatorrunner
%kf5locales_fix plasma_runner_calculatorrunner.lang

%find_lang plasma_runner_kill
%kf5locales_fix plasma_runner_kill.lang

%find_lang plasma_runner_locations
%kf5locales_fix plasma_runner_locations.lang

%find_lang plasma_runner_placesrunner
%kf5locales_fix plasma_runner_placesrunner.lang

%find_lang plasma_runner_powerdevil
%kf5locales_fix plasma_runner_powerdevil.lang

%find_lang plasma_runner_recentdocuments
%kf5locales_fix plasma_runner_recentdocuments.lang

%find_lang plasma_runner_services
%kf5locales_fix plasma_runner_services.lang

%find_lang plasma_runner_sessions
%kf5locales_fix plasma_runner_sessions.lang

%find_lang plasma_runner_shell
%kf5locales_fix plasma_runner_shell.lang

%find_lang plasma_runner_webshortcuts
%kf5locales_fix plasma_runner_webshortcuts.lang

%find_lang plasma_runner_windowedwidgets
%kf5locales_fix plasma_runner_windowedwidgets.lang

%find_lang plasma_runner_windows
%kf5locales_fix plasma_runner_windows.lang


%changelog

* Thu Feb 08 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-2
- (38324bb) Backport patches to fix CVE-2018-6790 and CVE-2018-6791

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (1ef138f) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (9760bd1) Update files
- (Andrey Bondrov: 10d20fd) Drop backported l10n patch
- (Andrey Bondrov: 77e2911) New version 5.11.4

* Thu Nov 02 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-3
- (764eb68) Update files
- (Andrey Bondrov: 25c2286) Backport translations for some widgets from upstream

* Thu Aug 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-2
- (018b1d8) Don't require plasma5-applet-mediacontroller because it doesn't look good when there's already player's icon in system tray

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (cf27aaa) Update files (add kuiserver.categories)
- (Andrey Bondrov: ab3b9a5) New version 5.10.5

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (f23d30e) Update files
- (Andrey Bondrov: ed856b0) Package plasma5-kio-desktop translations
- (Andrey Bondrov: ec5fd3e) Update translations
- (Andrey Bondrov: 6dcafa5) Update files
- (Andrey Bondrov: 475a121) Upstream renamed plasma_runner_baloosearchrunner translations to plasma_runner_baloosearch5
- (Andrey Bondrov: 3c9c999) Drop plasma5-kio-remote which is now part of kio
- (Andrey Bondrov: 0d92323) Upstream renamed kio_applications translations to kio5_applications
- (Andrey Bondrov: a0b660c) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (ea3604d) Properly detect env path to source scripts at startup (qtpaths -> qtpaths-qt5)
- (ea3604d) Move default GTK2 and GTK3 configs creation to plasma5-config-fresh package
- (Andrey Bondrov: 5bd77f9) New version 5.9.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-5
- (42b0fa2) Drop HiDPI patch for now, wait for a better solution

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-4
- (cb5d934) Set QT_AUTO_SCREEN_SCALE_FACTOR to 0 only when manual scaling is requested. Set it to 1 by default to fix scaling on HiDPI displays

* Tue Mar 21 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-3
- (69ab0b2) Properly define qdbus in startplasmacompositor

* Tue Mar 21 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-2
- (2b5d6de) Create empty ~/.config/kdeglobals file at startup if it doesn't exist (otherwise kwin doesn't change window decorations colors until reboot)
- (2b5d6de) Create default gtk2 and gtk3 configs in user's home to make sure kde-gtk-config shows proper default settings

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (4d7a2b1) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (b899fe4) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (20e69a3) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (6d7d813) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (a0433cd) Add new plasma5-applet-appmenu package
- (Andrey Bondrov: 78d02bd) Update files


